FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::ProgramUnit Struct Reference

## Public Member Functions
| UNION_CLASS_BOILERPLATE (ProgramUnit)

## Public Attributes
std::variant< common::Indirection< MainProgram >, common::Indirection< FunctionSubprogram >, common::Indirection< SubroutineSubprogram >, common::Indirection< Module >, common::Indirection< Submodule >, common::Indirection< BlockData > > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h